Bug 57300 - swapon doesn't handle symlink.
Summary: swapon doesn't handle symlink.
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: util-linux   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Elliot Lee
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-12-09 07:43 UTC by hjl
Modified: 2007-04-18 16:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-17 18:53:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A patch (809 bytes, patch)
2001-12-09 07:43 UTC, hjl
no flags Details | Diff

Description hjl 2001-12-09 07:43:06 UTC
When swap is a simlink, the swap entry in
/etc/fstab may not match /proc/swaps. That
means strcmp shouldn't be used for swapon.

Comment 1 hjl 2001-12-09 07:43:51 UTC
Created attachment 40207 [details]
A patch

Comment 2 Bernhard Rosenkraenzer 2002-01-17 18:53:43 UTC
Assigning to util-linux, where mount lives these days

Comment 3 Elliot Lee 2002-01-29 21:24:07 UTC
Will be in util-linux-2.11n-3


Note You need to log in before you can comment on or make changes to this bug.